## golang-github-evanw-esbuild 0.14.11

=== Makefile ===
ESBUILD_VERSION = $(shell cat version.txt)

# Strip debug info
GO_FLAGS += "-ldflags=-s -w"

# Avoid embedding the build path in the executable for more reproducible builds
GO_FLAGS += -trimpath

esbuild: cmd/esbuild/version.go cmd/esbuild/*.go pkg/*/*.go internal/*/*.go go.mod
	CGO_ENABLED=0 go build $(GO_FLAGS) ./cmd/esbuild

test:
	@$(MAKE) --no-print-directory -j6 test-common

# These tests are for development
test-common: test-go vet-go no-filepath verify-source-map end-to-end-tests js-api-tests plugin-tests register-test node-unref-tests

# These tests are for release (the extra tests are not included in "test" because they are pretty slow)
test-all:
	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck

check-go-version:
	@go version | grep ' go1\.17\.5 ' || (echo 'Please install Go version 1.17.5' && false)

# Note: Don't add "-race" here by default. The Go race detector is currently
# only supported on the following configurations:
#
#   darwin/amd64
#   darwin/arm64
#   freebsd/amd64,
#   linux/amd64
#   linux/arm64
#   linux/ppc64le
#   netbsd/amd64
#   windows/amd64
#
# Also, it isn't necessarily supported on older OS versions even if the OS/CPU
# combination is supported, such as on macOS 10.9. If you want to test using
# the race detector, you can manually add it using the ESBUILD_RACE environment
# variable like this: "ESBUILD_RACE=-race make test". Or you can permanently
# enable it by adding "export ESBUILD_RACE=-race" to your shell profile.
test-go:
	go test $(ESBUILD_RACE) ./internal/...

vet-go:
	go vet ./cmd/... ./internal/... ./pkg/...

fmt-go:
	test -z "$(shell go fmt ./cmd/... ./internal/... ./pkg/... )"

no-filepath:
	@! grep --color --include '*.go' -r '"path/filepath"' cmd internal pkg || ( \
		echo 'error: Use of "path/filepath" is disallowed. See http://golang.org/issue/43768.' && false)

# This uses "env -i" to run in a clean environment with no environment
# variables. It then adds some environment variables back as needed.
# This is a hack to avoid a problem with the WebAssembly support in Go
# 1.17.2, which will crash when run in an environment with over 4096
# bytes of environment variable data such as GitHub Actions.
test-wasm-node: esbuild
	env -i $(shell go env) PATH="$(shell go env GOROOT)/misc/wasm:$(PATH)" GOOS=js GOARCH=wasm go test ./internal/...
	node scripts/wasm-tests.js

test-wasm-browser: platform-wasm | scripts/browser/node_modules
	cd scripts/browser && node browser-tests.js

test-deno: esbuild platform-deno
	ESBUILD_BINARY_PATH="$(shell pwd)/esbuild" deno test --allow-run --allow-env --allow-net --allow-read --allow-write --no-check scripts/deno-tests.js

register-test: cmd/esbuild/version.go | scripts/node_modules
	node scripts/esbuild.js npm/esbuild/package.json --version
	node scripts/register-test.js

verify-source-map: cmd/esbuild/version.go | scripts/node_modules
	node scripts/esbuild.js npm/esbuild/package.json --version
	node scripts/verify-source-map.js

end-to-end-tests: cmd/esbuild/version.go | scripts/node_modules
	node scripts/esbuild.js npm/esbuild/package.json --version
	node scripts/end-to-end-tests.js

js-api-tests: cmd/esbuild/version.go | scripts/node_modules
	node scripts/esbuild.js npm/esbuild/package.json --version
	node scripts/js-api-tests.js

plugin-tests: cmd/esbuild/version.go | scripts/node_modules
	node scripts/plugin-tests.js

ts-type-tests: | scripts/node_modules
	node scripts/ts-type-tests.js

node-unref-tests: | scripts/node_modules
	node scripts/node-unref-tests.js

lib-typecheck: | lib/node_modules
	cd lib && node_modules/.bin/tsc -noEmit -p tsconfig.json
	cd lib && node_modules/.bin/tsc -noEmit -p tsconfig-deno.json

# End-to-end tests
test-e2e: test-e2e-npm test-e2e-pnpm test-e2e-yarn-berry

test-e2e-npm:
	# Test normal install
	rm -fr e2e-npm && mkdir e2e-npm && cd e2e-npm && echo {} > package.json && npm i esbuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-npm && npm ci
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-npm && npm rebuild && npm rebuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Test install without scripts
	rm -fr e2e-npm && mkdir e2e-npm && cd e2e-npm && echo {} > package.json && npm i --ignore-scripts esbuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-npm && npm ci
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-npm && npm rebuild && npm rebuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Test install without optional dependencies
	rm -fr e2e-npm && mkdir e2e-npm && cd e2e-npm && echo {} > package.json && npm i --no-optional esbuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-npm && npm ci
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-npm && npm rebuild && npm rebuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Clean up
	rm -fr e2e-npm

test-e2e-pnpm:
	# Test normal install
	rm -fr e2e-pnpm && mkdir e2e-pnpm && cd e2e-pnpm && echo {} > package.json && pnpm i esbuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-pnpm && pnpm i --frozen-lockfile
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-pnpm && pnpm rebuild && pnpm rebuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Test install without scripts
	rm -fr e2e-pnpm && mkdir e2e-pnpm && cd e2e-pnpm && echo {} > package.json && pnpm i --ignore-scripts esbuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-pnpm && pnpm i --frozen-lockfile
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-pnpm && pnpm rebuild && pnpm rebuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Test install without optional dependencies
	rm -fr e2e-pnpm && mkdir e2e-pnpm && cd e2e-pnpm && echo {} > package.json && pnpm i --no-optional esbuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-pnpm && pnpm i --frozen-lockfile
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-pnpm && pnpm rebuild && pnpm rebuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Clean up
	rm -fr e2e-pnpm

test-e2e-yarn-berry:
	# Test normal install
	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && touch yarn.lock && yarn set version berry && yarn add esbuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test CI reinstall
	cd e2e-yb && yarn install --immutable
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test rebuild
	cd e2e-yb && yarn rebuild && yarn rebuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"

	# Test install without scripts
	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && echo 'enableScripts: false' > yarn.lock && yarn set version berry && yarn add esbuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test CI reinstall
	cd e2e-yb && yarn install --immutable
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test rebuild
	cd e2e-yb && yarn rebuild && yarn rebuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"

	# Test install without optional dependencies
	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && touch yarn.lock && yarn set version berry && yarn add --no-optional esbuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test CI reinstall
	cd e2e-yb && yarn install --immutable
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test rebuild
	cd e2e-yb && yarn rebuild && yarn rebuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"

	# Clean up
	rm -fr e2e-yb

cmd/esbuild/version.go: version.txt
	node scripts/esbuild.js --update-version-go

wasm-napi-exit0-darwin:
	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
		| clang -x c -dynamiclib -mmacosx-version-min=10.5 -o npm/esbuild-wasm/exit0/darwin-x64-LE.node -
	ls -l npm/esbuild-wasm/exit0/darwin-x64-LE.node

wasm-napi-exit0-linux:
	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
		| gcc -x c -shared -o npm/esbuild-wasm/exit0/linux-x64-LE.node -
	strip npm/esbuild-wasm/exit0/linux-x64-LE.node
	ls -l npm/esbuild-wasm/exit0/linux-x64-LE.node

wasm-napi-exit0-windows:
	# This isn't meant to be run directly but is a rough overview of the instructions
	echo '__declspec(dllexport) void* napi_register_module_v1(void* a, void* b) { ExitProcess(0); }' > main.c
	echo 'setlocal' > main.bat
	echo 'call "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Auxiliary\Build\vcvarsall.bat" x64' >> main.bat
	echo 'cl.exe /LD main.c /link /DLL /NODEFAULTLIB /NOENTRY kernel32.lib /OUT:npm/esbuild-wasm/exit0/win32-x64-LE.node' >> main.bat
	main.bat
	rm -f main.*

platform-all:
	@$(MAKE) --no-print-directory -j4 \
		platform-windows \
		platform-windows-32 \
		platform-windows-arm64 \
		platform-android-arm64 \
		platform-darwin \
		platform-darwin-arm64 \
		platform-freebsd \
		platform-freebsd-arm64 \
		platform-netbsd \
		platform-openbsd \
		platform-linux \
		platform-linux-32 \
		platform-linux-arm \
		platform-linux-arm64 \
		platform-linux-mips64le \
		platform-linux-ppc64le \
		platform-linux-s390x \
		platform-sunos \
		platform-wasm \
		platform-neutral \
		platform-deno

platform-windows: cmd/esbuild/version.go
	node scripts/esbuild.js npm/esbuild-windows-64/package.json --version
	CGO_ENABLED=0 GOOS=windows GOARCH=amd64 go build $(GO_FLAGS) -o npm/esbuild-windows-64/esbuild.exe ./cmd/esbuild

platform-windows-32: cmd/esbuild/version.go
	node scripts/esbuild.js npm/esbuild-windows-32/package.json --version

=== debian/changelog ===
golang-github-evanw-esbuild (0.14.11-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 18:26:02 +0000

golang-github-evanw-esbuild (0.14.11-1) unstable; urgency=medium

  * New upstream version 0.14.11
  * Fix logic in debian/rules execute_after_dh_install-arch
    so that it is run only if $(NPM_DIR) is defined
  * Update esbuild(1) man page to 0.14.11

 -- Anthony Fok <foka@debian.org>  Thu, 13 Jan 2022 06:08:30 -0700

golang-github-evanw-esbuild (0.14.8-2) unstable; urgency=medium

  * Allow [armel hurd-i386 powerpc riscv64] to build without nodejs
    which is currently not built for these architectures
  * Add "Recommends: nodejs" to esbuild binary package.  This fixes Lintian
    "missing-dep-for-interpreter node (does not satisfy nodejs:any)" errors
  * Build nodejs files for s390x too as per upstream
  * Fix FTBFS errors on several architectures, and simplify override targets:
    - Append "-arch" to override_* and execute_after_* targets
      to unbreak golang-github-evanw-esbuild-dev
    - Check for existence of /usr/bin/node and skip overrides otherwise
    - Switch from DEB_TARGET_*ARCH to DEB_HOST_*ARCH
    - Instead of rebuilding esbuild (and failing), symlink /usr/bin/esbuild
      to /usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/$(NPM_DIR)/bin/esbuild

 -- Anthony Fok <foka@debian.org>  Fri, 24 Dec 2021 07:50:05 -0700

=== debian/control ===
Source: golang-github-evanw-esbuild
Section: golang
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.13~),
               golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53),
               golang-src,
Build-Depends-Arch: nodejs [!armel !hurd-i386 !powerpc !riscv64],
                    npm [!armel !hurd-i386 !powerpc !riscv64],
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild.git
Homepage: https://github.com/evanw/esbuild
XS-Go-Import-Path: github.com/evanw/esbuild

Package: golang-github-evanw-esbuild-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53),
         ${misc:Depends}
Description: extremely fast JavaScript bundler and minifier (library)
 esbuild is a JavaScript bundler and minifier.  It packages up
 JavaScript and TypeScript code for distribution on the web.
 .
 Why build another JavaScript build tool?  The current build tools for the web
 are at least an order of magnitude slower than they should be.  It is hoped
 that this project serves as an "existence proof" that JavaScript tooling
 can be much, much faster.
 .
 This package contains the github.com/evanw/esbuild Go library.

Package: esbuild
Architecture: any
Section: javascript
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: nodejs [!armel !hurd-i386 !powerpc !riscv64]
Provides: node-esbuild (= ${binary:Version}) [!armel !hurd-i386 !powerpc !riscv64],
          node-esbuild-wasm (= ${binary:Version}) [!armel !hurd-i386 !powerpc !riscv64],
          ${nodejs:Provides}
Built-Using: ${misc:Built-Using}
Description: extremely fast JavaScript bundler and minifier (program)
 esbuild is a JavaScript bundler and minifier.  It packages up
 JavaScript and TypeScript code for distribution on the web.
 .
 Why build another JavaScript build tool?  The current build tools for the web
 are at least an order of magnitude slower than they should be.  It is hoped
 that this project serves as an "existence proof" that JavaScript tooling
 can be much, much faster.
 .
 This package contains the esbuild binary.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)%@PACKAGE@-$1.tar.gz%, \
      pagemangle=s%\"tarball_url\":\s*(\".*?\")%<a href=$1>%g, \
      downloadurlmangle=s%api.github.com/repos/(.+?/.+?)/tarball/(.*/v?@ANY_VERSION@)$%github.com/$1/archive/$2.tar.gz%" \
    https://api.github.com/repos/evanw/esbuild/tags?per_page=100 \
    (?:.*?/)?v?@ANY_VERSION@

#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-evanw-esbuild-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/evanw/esbuild/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-evanw-esbuild 0.14.25

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck
 
 check-go-version:
-	@go version | grep ' go1\.17\.5 ' || (echo 'Please install Go version 1.17.5' && false)
+	@go version | grep ' go1\.17\.8 ' || (echo 'Please install Go version 1.17.8' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -206,51 +206,50 @@
 
 wasm-napi-exit0-darwin:
 	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
-		| clang -x c -dynamiclib -mmacosx-version-min=10.5 -o npm/esbuild-wasm/exit0/darwin-x64-LE.node -
-	ls -l npm/esbuild-wasm/exit0/darwin-x64-LE.node
+		| clang -x c -dynamiclib -mmacosx-version-min=10.5 -o lib/npm/exit0/darwin-x64-LE.node -
+	ls -l lib/npm/exit0/darwin-x64-LE.node
+
+wasm-napi-exit0-darwin-arm:
+	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
+		| clang -x c -dynamiclib -mmacosx-version-min=10.5 -o lib/npm/exit0/darwin-arm64-LE.node -
+	ls -l lib/npm/exit0/darwin-arm64-LE.node
 
 wasm-napi-exit0-linux:
 	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
-		| gcc -x c -shared -o npm/esbuild-wasm/exit0/linux-x64-LE.node -
-	strip npm/esbuild-wasm/exit0/linux-x64-LE.node
-	ls -l npm/esbuild-wasm/exit0/linux-x64-LE.node
+		| gcc -x c -shared -o lib/npm/exit0/linux-x64-LE.node -
+	strip lib/npm/exit0/linux-x64-LE.node
+	ls -l lib/npm/exit0/linux-x64-LE.node
+
+wasm-napi-exit0-linux-arm:
+	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
+		| gcc -x c -shared -o lib/npm/exit0/linux-arm64-LE.node -
+	strip lib/npm/exit0/linux-arm64-LE.node
+	ls -l lib/npm/exit0/linux-arm64-LE.node
 
 wasm-napi-exit0-windows:
 	# This isn't meant to be run directly but is a rough overview of the instructions
 	echo '__declspec(dllexport) void* napi_register_module_v1(void* a, void* b) { ExitProcess(0); }' > main.c
 	echo 'setlocal' > main.bat
 	echo 'call "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Auxiliary\Build\vcvarsall.bat" x64' >> main.bat
-	echo 'cl.exe /LD main.c /link /DLL /NODEFAULTLIB /NOENTRY kernel32.lib /OUT:npm/esbuild-wasm/exit0/win32-x64-LE.node' >> main.bat
+	echo 'cl.exe /LD main.c /link /DLL /NODEFAULTLIB /NOENTRY kernel32.lib /OUT:lib/npm/exit0/win32-x64-LE.node' >> main.bat
 	main.bat
 	rm -f main.*
 
 platform-all:
 	@$(MAKE) --no-print-directory -j4 \
-		platform-windows \
-		platform-windows-32 \
-		platform-windows-arm64 \
+		platform-android \
 		platform-android-arm64 \
 		platform-darwin \
 		platform-darwin-arm64 \
+		platform-deno \
 		platform-freebsd \
 		platform-freebsd-arm64 \
-		platform-netbsd \
-		platform-openbsd \
 		platform-linux \
 		platform-linux-32 \
 		platform-linux-arm \
 		platform-linux-arm64 \
 		platform-linux-mips64le \
 		platform-linux-ppc64le \
+		platform-linux-riscv64 \
 		platform-linux-s390x \
-		platform-sunos \
-		platform-wasm \
-		platform-neutral \
-		platform-deno
-
-platform-windows: cmd/esbuild/version.go
-	node scripts/esbuild.js npm/esbuild-windows-64/package.json --version
-	CGO_ENABLED=0 GOOS=windows GOARCH=amd64 go build $(GO_FLAGS) -o npm/esbuild-windows-64/esbuild.exe ./cmd/esbuild
-
-platform-windows-32: cmd/esbuild/version.go
-	node scripts/esbuild.js npm/esbuild-windows-32/package.json --version
+		platform-netbsd \

=== debian/changelog ===
golang-github-evanw-esbuild (0.14.25-1) unstable; urgency=medium

  * New upstream version 0.14.25
  * Update esbuild(1) man page to 0.14.25

 -- Anthony Fok <foka@debian.org>  Sun, 20 Mar 2022 15:36:31 -0600

golang-github-evanw-esbuild (0.14.23-1) unstable; urgency=medium

  * New upstream version 0.14.23
  * Update esbuild(1) man page to 0.14.23

 -- Anthony Fok <foka@debian.org>  Sat, 19 Mar 2022 20:38:36 -0600

## golang-github-evanw-esbuild 0.14.36

=== debian/changelog ===
golang-github-evanw-esbuild (0.14.36-1) unstable; urgency=medium

  * New upstream version 0.14.36 (Closes: #1010408)
  * Switch from Built-Using to Static-Built-Using in debian/control
  * Update esbuild(1) man page to 0.14.36

 -- Anthony Fok <foka@debian.org>  Sat, 04 Jun 2022 00:32:24 -0600

## golang-github-evanw-esbuild 0.14.38

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Avoid embedding the build path in the executable for more reproducible builds
 GO_FLAGS += -trimpath
 
-esbuild: cmd/esbuild/version.go cmd/esbuild/*.go pkg/*/*.go internal/*/*.go go.mod
+esbuild: version-go cmd/esbuild/*.go pkg/*/*.go internal/*/*.go go.mod
 	CGO_ENABLED=0 go build $(GO_FLAGS) ./cmd/esbuild
 
 test:
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck
 
 check-go-version:
-	@go version | grep ' go1\.17\.8 ' || (echo 'Please install Go version 1.17.8' && false)
+	@go version | grep ' go1\.18 ' || (echo 'Please install Go version 1.18.0' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -67,23 +67,23 @@
 test-deno: esbuild platform-deno
 	ESBUILD_BINARY_PATH="$(shell pwd)/esbuild" deno test --allow-run --allow-env --allow-net --allow-read --allow-write --no-check scripts/deno-tests.js
 
-register-test: cmd/esbuild/version.go | scripts/node_modules
+register-test: version-go | scripts/node_modules
 	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/register-test.js
 
-verify-source-map: cmd/esbuild/version.go | scripts/node_modules
+verify-source-map: version-go | scripts/node_modules
 	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/verify-source-map.js
 
-end-to-end-tests: cmd/esbuild/version.go | scripts/node_modules
+end-to-end-tests: version-go | scripts/node_modules
 	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/end-to-end-tests.js
 
-js-api-tests: cmd/esbuild/version.go | scripts/node_modules
+js-api-tests: version-go | scripts/node_modules
 	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/js-api-tests.js
 
-plugin-tests: cmd/esbuild/version.go | scripts/node_modules
+plugin-tests: version-go | scripts/node_modules
 	node scripts/plugin-tests.js
 
 ts-type-tests: | scripts/node_modules
@@ -201,7 +201,18 @@
 	# Clean up
 	rm -fr e2e-yb
 
-cmd/esbuild/version.go: version.txt
+# Note: This used to only be rebuilt when "version.txt" was newer than
+# "cmd/esbuild/version.go", but that caused the publishing script to publish
+# invalid builds in the case when the publishing script failed once, the change
+# to "cmd/esbuild/version.go" was reverted, and then the publishing script was
+# run again, since in that case "cmd/esbuild/version.go" has a later mtime than
+# "version.txt" but is still outdated.
+#
+# To avoid this problem, we now always run this step regardless of mtime status.
+# This step still avoids writing to "cmd/esbuild/version.go" if it already has
+# the correct contents, so it won't unnecessarily invalidate anything that uses
+# "cmd/esbuild/version.go" as a dependency.
+version-go:
 	node scripts/esbuild.js --update-version-go
 
 wasm-napi-exit0-darwin:
@@ -230,26 +241,3 @@
 	# This isn't meant to be run directly but is a rough overview of the instructions
 	echo '__declspec(dllexport) void* napi_register_module_v1(void* a, void* b) { ExitProcess(0); }' > main.c
 	echo 'setlocal' > main.bat
-	echo 'call "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Auxiliary\Build\vcvarsall.bat" x64' >> main.bat
-	echo 'cl.exe /LD main.c /link /DLL /NODEFAULTLIB /NOENTRY kernel32.lib /OUT:lib/npm/exit0/win32-x64-LE.node' >> main.bat
-	main.bat
-	rm -f main.*
-
-platform-all:
-	@$(MAKE) --no-print-directory -j4 \
-		platform-android \
-		platform-android-arm64 \
-		platform-darwin \
-		platform-darwin-arm64 \
-		platform-deno \
-		platform-freebsd \
-		platform-freebsd-arm64 \
-		platform-linux \
-		platform-linux-32 \
-		platform-linux-arm \
-		platform-linux-arm64 \
-		platform-linux-mips64le \
-		platform-linux-ppc64le \
-		platform-linux-riscv64 \
-		platform-linux-s390x \
-		platform-netbsd \

=== debian/changelog ===
golang-github-evanw-esbuild (0.14.38-1) unstable; urgency=medium

  * New upstream version 0.14.38
  * Update esbuild(1) man page to 0.14.38

 -- Anthony Fok <foka@debian.org>  Sun, 05 Jun 2022 04:41:29 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-evanw-esbuild
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -44,7 +43,7 @@
 Provides: node-esbuild (= ${binary:Version}) [!armel !hurd-i386 !powerpc !riscv64],
           node-esbuild-wasm (= ${binary:Version}) [!armel !hurd-i386 !powerpc !riscv64],
           ${nodejs:Provides}
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: extremely fast JavaScript bundler and minifier (program)
  esbuild is a JavaScript bundler and minifier.  It packages up
  JavaScript and TypeScript code for distribution on the web.

## golang-github-evanw-esbuild 0.14.39

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck
 
 check-go-version:
-	@go version | grep ' go1\.18 ' || (echo 'Please install Go version 1.18.0' && false)
+	@go version | grep ' go1\.18\.1 ' || (echo 'Please install Go version 1.18.1' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:

=== debian/changelog ===
golang-github-evanw-esbuild (0.14.39-1) unstable; urgency=medium

  * New upstream version 0.14.39
  * Build nodejs files for riscv64 too as per upstream
  * Update esbuild(1) man page to 0.14.39

 -- Anthony Fok <foka@debian.org>  Tue, 07 Jun 2022 01:48:40 -0600

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                golang-any (>= 2:1.13~),
                golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53),
                golang-src,
-Build-Depends-Arch: nodejs [!armel !hurd-i386 !powerpc !riscv64],
-                    npm [!armel !hurd-i386 !powerpc !riscv64],
+Build-Depends-Arch: nodejs [!armel !hurd-i386 !powerpc],
+                    npm [!armel !hurd-i386 !powerpc],
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
@@ -39,9 +39,9 @@
 Section: javascript
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: nodejs [!armel !hurd-i386 !powerpc !riscv64]
-Provides: node-esbuild (= ${binary:Version}) [!armel !hurd-i386 !powerpc !riscv64],
-          node-esbuild-wasm (= ${binary:Version}) [!armel !hurd-i386 !powerpc !riscv64],
+Recommends: nodejs [!armel !hurd-i386 !powerpc]
+Provides: node-esbuild (= ${binary:Version}) [!armel !hurd-i386 !powerpc],
+          node-esbuild-wasm (= ${binary:Version}) [!armel !hurd-i386 !powerpc],
           ${nodejs:Provides}
 Static-Built-Using: ${misc:Static-Built-Using}
 Description: extremely fast JavaScript bundler and minifier (program)

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := internal/bundler/snapshots

export NPM_DIR := $(shell perl -e '\
  my %mapping = ( \
      amd64 => "64", i386 => "32", \
      arm64 => "arm64", armhf => "arm", \
      mips64el => "mips64le", \
      ppc64el => "ppc64le", \
      riscv64 => "riscv64", \
      s390x => "s390x", \
  ); \
  print defined($$arch = $$mapping{$(DEB_HOST_ARCH)}) ? "esbuild-linux-$$arch" : ""; \
')

%:
	dh $@ --builddirectory=_build --buildsystem=golang

ifneq ($(shell command -v node),)
execute_after_dh_auto_build-arch:
	ln -s _build/bin/esbuild .
	# Generate npm/esbuild/*
	node scripts/esbuild.js ./esbuild --neutral
	# Generate npm/esbuild-wasm/*
	GOPATH=$(CURDIR)/_build GOCACHE=$(CURDIR)/_build/go-build \
	    node scripts/esbuild.js ./esbuild --wasm

execute_after_dh_auto_test-arch:
	node -e 'require("./npm/esbuild")'
endif

ifneq ($(NPM_DIR),)
execute_after_dh_install-arch:
	cp -a npm/$(NPM_DIR) debian/esbuild/usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/
	find debian/esbuild/usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/ -name '*.md' -delete || true

override_dh_link-arch:
	dh_link --package=esbuild usr/bin/esbuild \
	    usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/$(NPM_DIR)/bin/esbuild

override_dh_gencontrol-arch:
	dh_gencontrol -- -Vnodejs:Provides="node-$(NPM_DIR)"
endif

## golang-github-evanw-esbuild 0.14.42

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck
 
 check-go-version:
-	@go version | grep ' go1\.18\.1 ' || (echo 'Please install Go version 1.18.1' && false)
+	@go version | grep ' go1\.18\.2 ' || (echo 'Please install Go version 1.18.2' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:

=== debian/changelog ===
golang-github-evanw-esbuild (0.14.42-1) unstable; urgency=medium

  * New upstream version 0.14.42
  * Update esbuild(1) man page to 0.14.42

 -- Anthony Fok <foka@debian.org>  Wed, 08 Jun 2022 02:34:34 -0600

## golang-github-evanw-esbuild 0.14.43

=== debian/changelog ===
golang-github-evanw-esbuild (0.14.43-2) unstable; urgency=medium

  * Team upload.
  * Build wasm in GOPATH mode (Closes: #1013985)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 17 Jul 2022 01:10:06 +0800

golang-github-evanw-esbuild (0.14.43-1) unstable; urgency=medium

  * New upstream version 0.14.43
  * Update esbuild(1) man page to 0.14.43
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Thu, 23 Jun 2022 22:33:30 -0600

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,12 @@
 
 ifneq ($(shell command -v node),)
 execute_after_dh_auto_build-arch:
-	ln -s _build/bin/esbuild .
+	ln -sf _build/bin/esbuild .
 	# Generate npm/esbuild/*
 	node scripts/esbuild.js ./esbuild --neutral
 	# Generate npm/esbuild-wasm/*
-	GOPATH=$(CURDIR)/_build GOCACHE=$(CURDIR)/_build/go-build \
+	# See also set_go_env sub in dh-golang
+	GOPATH=$(CURDIR)/_build GOCACHE=$(CURDIR)/_build/go-build GO111MODULE=off GOPROXY=off \
 	    node scripts/esbuild.js ./esbuild --wasm
 
 execute_after_dh_auto_test-arch:

## golang-github-evanw-esbuild 0.15.5

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,10 @@
 
 # These tests are for release (the extra tests are not included in "test" because they are pretty slow)
 test-all:
-	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck
+	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.18\.2 ' || (echo 'Please install Go version 1.18.2' && false)
+	@go version | grep ' go1\.19 ' || (echo 'Please install Go version 1.19' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -201,6 +201,9 @@
 	# Clean up
 	rm -fr e2e-yb
 
+test-yarnpnp:
+	node scripts/test-yarnpnp.js
+
 # Note: This used to only be rebuilt when "version.txt" was newer than
 # "cmd/esbuild/version.go", but that caused the publishing script to publish
 # invalid builds in the case when the publishing script failed once, the change

=== debian/changelog ===
golang-github-evanw-esbuild (0.15.5-1) unstable; urgency=medium

  * New upstream version 0.15.5
  * Bump dependency: golang-golang-x-sys-dev (>= 0.0~git20220715.c0bba94)
  * Install internal/resolver/testExpectations.json too
  * Update esbuild(1) man page to 0.15.5

 -- Anthony Fok <foka@debian.org>  Mon, 29 Aug 2022 14:40:17 -0600

## golang-github-evanw-esbuild 0.15.9

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.19 ' || (echo 'Please install Go version 1.19' && false)
+	@go version | grep ' go1\.19\.1 ' || (echo 'Please install Go version 1.19.1' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -67,6 +67,9 @@
 test-deno: esbuild platform-deno
 	ESBUILD_BINARY_PATH="$(shell pwd)/esbuild" deno test --allow-run --allow-env --allow-net --allow-read --allow-write --no-check scripts/deno-tests.js
 
+test-deno-windows: esbuild platform-deno
+	ESBUILD_BINARY_PATH=./esbuild.exe deno test --allow-run --allow-env --allow-net --allow-read --allow-write --no-check scripts/deno-tests.js
+
 register-test: version-go | scripts/node_modules
 	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/register-test.js
@@ -179,7 +182,7 @@
 	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
 
 	# Test install without scripts
-	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && echo 'enableScripts: false' > yarn.lock && yarn set version berry && yarn add esbuild
+	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && touch yarn.lock && echo 'enableScripts: false' > .yarnrc.yml && yarn set version berry && yarn add esbuild
 	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
 	# Test CI reinstall
 	cd e2e-yb && yarn install --immutable
@@ -218,29 +221,26 @@
 version-go:
 	node scripts/esbuild.js --update-version-go
 
-wasm-napi-exit0-darwin:
+wasm-napi-exit0-darwin-x64:
 	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
 		| clang -x c -dynamiclib -mmacosx-version-min=10.5 -o lib/npm/exit0/darwin-x64-LE.node -
 	ls -l lib/npm/exit0/darwin-x64-LE.node
 
-wasm-napi-exit0-darwin-arm:
+wasm-napi-exit0-darwin-arm64:
 	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
 		| clang -x c -dynamiclib -mmacosx-version-min=10.5 -o lib/npm/exit0/darwin-arm64-LE.node -
 	ls -l lib/npm/exit0/darwin-arm64-LE.node
 
-wasm-napi-exit0-linux:
+wasm-napi-exit0-linux-x64:
 	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
 		| gcc -x c -shared -o lib/npm/exit0/linux-x64-LE.node -
 	strip lib/npm/exit0/linux-x64-LE.node
 	ls -l lib/npm/exit0/linux-x64-LE.node
 
-wasm-napi-exit0-linux-arm:
+wasm-napi-exit0-linux-arm64:
 	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
 		| gcc -x c -shared -o lib/npm/exit0/linux-arm64-LE.node -
 	strip lib/npm/exit0/linux-arm64-LE.node
 	ls -l lib/npm/exit0/linux-arm64-LE.node
 
-wasm-napi-exit0-windows:
-	# This isn't meant to be run directly but is a rough overview of the instructions
-	echo '__declspec(dllexport) void* napi_register_module_v1(void* a, void* b) { ExitProcess(0); }' > main.c
-	echo 'setlocal' > main.bat
+wasm-napi-exit0-win32-x64:

=== debian/changelog ===
golang-github-evanw-esbuild (0.15.9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Thu, 29 Sep 2022 01:27:25 -0600

golang-github-evanw-esbuild (0.15.9-1) unstable; urgency=medium

  * New upstream version 0.15.9
  * Update esbuild(1) man page to 0.15.9

 -- Anthony Fok <foka@debian.org>  Fri, 23 Sep 2022 13:29:00 -0600

golang-github-evanw-esbuild (0.15.7-1) unstable; urgency=medium

  * New upstream version 0.15.7
  * Update esbuild(1) man page to 0.15.7

 -- Anthony Fok <foka@debian.org>  Fri, 16 Sep 2022 13:43:17 -0600

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
-export DH_GOLANG_INSTALL_EXTRA := internal/bundler/snapshots
+include /usr/share/dpkg/architecture.mk
+
+export DH_GOLANG_INSTALL_EXTRA := \
+	internal/bundler/snapshots \
+	internal/resolver/testExpectations.json
 
 export NPM_DIR := $(shell perl -e '\
   my %mapping = ( \

## golang-github-evanw-esbuild 0.15.12

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.19\.1 ' || (echo 'Please install Go version 1.19.1' && false)
+	@go version | grep ' go1\.19\.2 ' || (echo 'Please install Go version 1.19.2' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:
@@ -204,7 +204,7 @@
 	# Clean up
 	rm -fr e2e-yb
 
-test-yarnpnp:
+test-yarnpnp: platform-wasm
 	node scripts/test-yarnpnp.js
 
 # Note: This used to only be rebuilt when "version.txt" was newer than

=== debian/changelog ===
golang-github-evanw-esbuild (0.15.12-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Add missing ${misc:Built-Using} to Built-Using on esbuild.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 14 Dec 2022 01:58:49 +0000

golang-github-evanw-esbuild (0.15.12-1) unstable; urgency=medium

  * New upstream version 0.15.12
  * Update esbuild(1) man page to 0.15.12

 -- Anthony Fok <foka@debian.org>  Sat, 29 Oct 2022 03:22:48 -0600

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.13~),
-               golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53),
+               golang-golang-x-sys-dev (>= 0.0~git20220715.c0bba94),
                golang-src,
 Build-Depends-Arch: nodejs [!armel !hurd-i386 !powerpc],
                     npm [!armel !hurd-i386 !powerpc],
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild.git
 Homepage: https://github.com/evanw/esbuild
@@ -21,7 +21,7 @@
 Package: golang-github-evanw-esbuild-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53),
+Depends: golang-golang-x-sys-dev (>= 0.0~git20220715.c0bba94),
          ${misc:Depends}
 Description: extremely fast JavaScript bundler and minifier (library)
  esbuild is a JavaScript bundler and minifier.  It packages up
@@ -44,6 +44,7 @@
           node-esbuild-wasm (= ${binary:Version}) [!armel !hurd-i386 !powerpc],
           ${nodejs:Provides}
 Static-Built-Using: ${misc:Static-Built-Using}
+Built-Using: ${misc:Built-Using}
 Description: extremely fast JavaScript bundler and minifier (program)
  esbuild is a JavaScript bundler and minifier.  It packages up
  JavaScript and TypeScript code for distribution on the web.

## golang-github-evanw-esbuild 0.15.14

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck test-yarnpnp
 
 check-go-version:
-	@go version | grep ' go1\.19\.2 ' || (echo 'Please install Go version 1.19.2' && false)
+	@go version | grep ' go1\.19\.3 ' || (echo 'Please install Go version 1.19.3' && false)
 
 # Note: Don't add "-race" here by default. The Go race detector is currently
 # only supported on the following configurations:

## golang-github-evanw-esbuild 0.15.18

=== debian/changelog ===
golang-github-evanw-esbuild (0.15.18-1) unstable; urgency=medium

  * New upstream version 0.15.18
  * Update esbuild(1) man page to 0.15.18

 -- Anthony Fok <foka@debian.org>  Wed, 25 Jan 2023 12:02:48 -0700

golang-github-evanw-esbuild (0.15.14-1) unstable; urgency=medium

  * New upstream version 0.15.14
  * Update esbuild(1) man page to 0.15.14
  * Bump Standards-Version to 4.6.2 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 23 Jan 2023 07:58:23 -0700
